SwifterSwift/SwifterSwift 软件分析报告

基础信息

项目名称:SwifterSwift/SwifterSwift

项目徽章:

Security Status

仓库地址:https://github.com/pterodactyl/panel

检测报告地址:https://www.murphysec.com/console/report/1749107536341774336/1749107536580849664

此报告由Murphysec提供

漏洞列表

暂无

缺陷组件

暂无

许可证风险

许可证类型 相关组件 许可证风险
MIT 13
Apache-2.0 OR MIT 1
自定义许可证 11
Apache-2.0 3

SBOM清单

组件名称 组件版本 是否直接依赖 仓库
jwt 2.7.1 间接依赖 bundler
webrick 1.8.1 间接依赖 bundler
thor 0.20.3 间接依赖 bundler
uber 0.1.0 间接依赖 bundler
cocoapods 1.12.1 间接依赖 bundler
rouge 2.0.7 间接依赖 bundler
cork 0.3.0 间接依赖 bundler
google-cloud-errors 1.3.1 间接依赖 bundler
octokit 6.1.1 间接依赖 bundler
danger-plugin-api 1.0.0 间接依赖 bundler
nap 1.1.0 间接依赖 bundler
dotenv 2.8.1 间接依赖 bundler
faraday-excon 1.1.0 间接依赖 bundler
public_suffix 4.0.7 间接依赖 bundler
unf_ext 0.0.8.2 间接依赖 bundler
os 1.1.4 间接依赖 bundler
faraday 1.10.3 间接依赖 bundler
cocoapods-downloader 1.6.3 间接依赖 bundler
artifactory 3.0.15 间接依赖 bundler
word_wrap 1.0.0 间接依赖 bundler
rubyzip 2.3.2 间接依赖 bundler
kramdown-parser-gfm 1.1.0 间接依赖 bundler
colored2 3.1.2 间接依赖 bundler
excon 0.103.0 间接依赖 bundler
terminal-table 3.0.2 间接依赖 bundler
cocoapods-deintegrate 1.0.5 间接依赖 bundler
declarative 0.0.20 间接依赖 bundler
fastimage 2.2.7 间接依赖 bundler
claide 1.1.0 间接依赖 bundler
multi_json 1.15.0 间接依赖 bundler
google-cloud-storage 1.44.0 间接依赖 bundler
plist 3.7.0 间接依赖 bundler
signet 0.18.0 间接依赖 bundler
xcpretty-json-formatter 0.1.1 间接依赖 bundler
bundler 间接依赖 bundler
xcresult 0.2.1 间接依赖 bundler
atomos 0.1.3 间接依赖 bundler
kramdown 2.4.0 间接依赖 bundler
faraday-http-cache 2.5.0 间接依赖 bundler
sawyer 0.9.2 间接依赖 bundler
faraday-multipart 1.0.4 间接依赖 bundler
danger-xcode_summary 1.2.0 间接依赖 bundler
google-apis-core 0.11.1 间接依赖 bundler
xcodeproj 1.22.0 间接依赖 bundler
tty-spinner 0.9.3 间接依赖 bundler
google-apis-androidpublisher_v3 0.49.0 间接依赖 bundler
netrc 0.11.0 间接依赖 bundler
faraday-patron 1.0.0 间接依赖 bundler
aws-sdk-kms 1.71.0 间接依赖 bundler
json 2.6.3 间接依赖 bundler
CFPropertyList 3.0.6 间接依赖 bundler
ethon 0.16.0 间接依赖 bundler
multipart-post 2.3.0 间接依赖 bundler
unf 0.1.4 间接依赖 bundler
minitest 5.20.0 间接依赖 bundler
danger 9.3.1 间接依赖 bundler
fuzzy_match 2.0.4 间接依赖 bundler
aws-sdk-core 3.181.1 间接依赖 bundler
xcpretty-travis-formatter 1.0.1 间接依赖 bundler
digest-crc 0.6.5 间接依赖 bundler
faraday-httpclient 1.0.1 间接依赖 bundler
algoliasearch 1.27.5 间接依赖 bundler
security 0.1.3 间接依赖 bundler
faraday-em_http 1.0.0 间接依赖 bundler
xcpretty 0.3.0 间接依赖 bundler
simctl 1.6.10 间接依赖 bundler
googleauth 1.8.0 间接依赖 bundler
tzinfo 2.0.6 间接依赖 bundler
aws-sdk-s3 1.134.0 间接依赖 bundler
domain_name 0.5.20190701 间接依赖 bundler
commander 4.6.0 间接依赖 bundler
cocoapods-try 1.2.0 间接依赖 bundler
fastlane 2.215.1 间接依赖 bundler
naturally 2.2.1 间接依赖 bundler
emoji_regex 3.2.3 间接依赖 bundler
babosa 1.0.4 间接依赖 bundler
representable 3.2.0 间接依赖 bundler
escape 0.0.4 间接依赖 bundler
terminal-notifier 2.0.0 间接依赖 bundler
httpclient 2.8.3 间接依赖 bundler
ruby2_keywords 0.0.5 间接依赖 bundler
faraday-cookie_jar 0.0.7 间接依赖 bundler
faraday-net_http_persistent 1.2.0 间接依赖 bundler
nanaimo 0.3.0 间接依赖 bundler
rake 13.0.6 间接依赖 bundler
google-cloud-env 1.6.0 间接依赖 bundler
rchardet 1.8.0 间接依赖 bundler
gh_inspector 1.1.3 间接依赖 bundler
faraday-net_http 1.0.1 间接依赖 bundler
no_proxy_fix 0.1.2 间接依赖 bundler
activesupport 7.0.8 间接依赖 bundler
faraday_middleware 1.2.0 间接依赖 bundler
google-cloud-core 1.6.0 间接依赖 bundler
git 1.18.0 间接依赖 bundler
colored 1.2 间接依赖 bundler
cocoapods-trunk 1.6.0 间接依赖 bundler
aws-partitions 1.824.0 间接依赖 bundler
mini_mime 1.1.5 间接依赖 bundler
tty-screen 0.8.1 间接依赖 bundler
google-apis-playcustomapp_v1 0.13.0 间接依赖 bundler
faraday-em_synchrony 1.0.0 间接依赖 bundler
i18n 1.14.1 间接依赖 bundler
rexml 3.2.6 间接依赖 bundler
fourflusher 2.3.1 间接依赖 bundler
open4 1.3.4 间接依赖 bundler
cocoapods-plugins 1.0.0 间接依赖 bundler
ffi 1.15.5 间接依赖 bundler
danger-swiftlint 0.33.0 间接依赖 bundler
aws-eventstream 1.2.0 间接依赖 bundler
trailblazer-option 0.1.2 间接依赖 bundler
concurrent-ruby 1.2.2 间接依赖 bundler
cocoapods-search 1.0.1 间接依赖 bundler
claide-plugins 0.9.2 间接依赖 bundler
typhoeus 1.4.0 间接依赖 bundler
google-apis-storage_v1 0.19.0 间接依赖 bundler
aws-sigv4 1.6.0 间接依赖 bundler
molinillo 0.8.0 间接依赖 bundler
http-cookie 1.0.5 间接依赖 bundler
faraday-retry 1.0.3 间接依赖 bundler
unicode-display_width 2.4.2 间接依赖 bundler
retriable 3.1.2 间接依赖 bundler
mini_magick 4.12.0 间接依赖 bundler
tty-cursor 0.7.1 间接依赖 bundler
google-apis-iamcredentials_v1 0.17.0 间接依赖 bundler
jmespath 1.6.2 间接依赖 bundler
faraday-rack 1.0.0 间接依赖 bundler
ruby-macho 2.5.1 间接依赖 bundler
addressable 2.8.5 间接依赖 bundler
cocoapods-core 1.12.1 间接依赖 bundler
optparse 0.1.1 间接依赖 bundler
highline 2.0.3 间接依赖 bundler
(0)
上一篇 2024年1月21日
下一篇 2024年1月22日

相关推荐

  • apache/incubator-retired-cotton 软件分析报告

    基础信息 项目名称:apache/incubator-retired-cotton 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1731538153711820800/1731538153762152448 此报…

    软件分析 2023年12月4日
    0
  • andyczy/czy-nexus-commons-utils 软件分析报告

    基础信息 项目名称:andyczy/czy-nexus-commons-utils 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1715827935155109888/1715827935402573824 此报…

    软件分析 2023年10月23日
    0
  • EddyVerbruggen/nativescript-performance-monitor 软件分析报告

    基础信息 项目名称:EddyVerbruggen/nativescript-performance-monitor 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1717395317502640128/171739…

    软件分析 2023年10月26日
    0
  • azproduction/node-mc 软件分析报告

    基础信息 项目名称:azproduction/node-mc 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1720839032871911424/1720839032943214592 此报告由Murphysec…

    软件分析 2023年11月5日
    0
  • google/gvisor 软件分析报告

    基础信息 项目名称:google/gvisor 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1721236315382550528/1728218916127199232 此报告由Murphysec提供 漏洞列表…

    软件分析 2023年11月25日
    0